[Solved] Could not refresh the list of updates - NO_PUBKEY 6494C6D6997C215E

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
User avatar
Aily
Level 1
Level 1
Posts: 37
Joined: Sat Jun 03, 2017 11:57 am
Location: Skaune

[Solved] Could not refresh the list of updates - NO_PUBKEY 6494C6D6997C215E

Post by Aily » Fri Aug 04, 2017 4:34 pm

My update manager tells me that it "could not refresh the list of updates". I tried to solve it by doing like in this post viewtopic.php?t=231516#p1226233
When I update the cache I get this message. If I just close it and try and update my update manager, I get the same message.

Code: Select all

W: GPG error: http://dl.google.com/linux/chrome/deb stable Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 6494C6D6997C215E
W: The repository 'http://dl.google.com/linux/chrome/deb stable Release' is not signed.
I guess it has something to do with google chrome and uninstall it only to continue to have the same message. When I search for chrome files I get over 700 hits and many of them are locked folders simply called 'chrome'.

I have know idea what this means and what to do about it.

Could someone please help me solve this and maybe make me understand what happened?

Thank you!
Last edited by Aily on Fri Aug 04, 2017 6:51 pm, edited 1 time in total.
I know how to start my computer. (IEC 60417-5009)

larsone
Level 1
Level 1
Posts: 1
Joined: Fri Aug 04, 2017 4:59 pm

Re: Could not refresh the list of updates

Post by larsone » Fri Aug 04, 2017 5:01 pm

I'm seeing the same thing. (I installed google chrome via that repo)
As for what happened, it's tough to say. Perhaps their key expired.

turtlebay
Level 5
Level 5
Posts: 630
Joined: Mon Apr 01, 2013 12:33 pm

Re: Could not refresh the list of updates

Post by turtlebay » Fri Aug 04, 2017 5:10 pm

Open a Terminal and copy and paste this into it,

Code: Select all

sudo apt update
Enter your password (It won't look as though anything is typing) and press Enter.

When it's finished, close the terminal (press the X or input Exit).

Then retry your Update Manager.

Should be refreshed now.

User avatar
Aily
Level 1
Level 1
Posts: 37
Joined: Sat Jun 03, 2017 11:57 am
Location: Skaune

Re: Could not refresh the list of updates

Post by Aily » Fri Aug 04, 2017 5:20 pm

turtlebay wrote:Open a Terminal and copy and paste this into it,

Code: Select all

sudo apt update
Enter your password (It won't look as though anything is typing) and press Enter.

When it's finished, close the terminal (press the X or input Exit).

Then retry your Update Manager.

Should be refreshed now.
Thank you for answering, but I still get the same error, this time in the terminal window though. :?
I know how to start my computer. (IEC 60417-5009)

Neil Edmond
Level 6
Level 6
Posts: 1040
Joined: Thu Dec 26, 2013 10:19 am
Location: N.E. AR USA

Re: Could not refresh the list of updates

Post by Neil Edmond » Fri Aug 04, 2017 5:25 pm

Do you have an active internet connection? Or is it just the google repo that is not available?

JeremyB
Level 20
Level 20
Posts: 10933
Joined: Fri Feb 21, 2014 8:17 am

Re: Could not refresh the list of updates

Post by JeremyB » Fri Aug 04, 2017 5:37 pm

Try

Code: Select all

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 6494C6D6997C215E
Then refresh the list of updates or do

Code: Select all

sudo apt-get update
It can also be fixed with

Code: Select all

wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

SLinovitz
Level 1
Level 1
Posts: 27
Joined: Tue Sep 14, 2010 12:36 pm

Re: Could not refresh the list of updates

Post by SLinovitz » Fri Aug 04, 2017 6:00 pm

@JeremyB
Works perfectly, thanks.

User avatar
Aily
Level 1
Level 1
Posts: 37
Joined: Sat Jun 03, 2017 11:57 am
Location: Skaune

Re: Could not refresh the list of updates

Post by Aily » Fri Aug 04, 2017 6:50 pm

JeremyB wrote:Try

Code: Select all

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 6494C6D6997C215E
Then refresh the list of updates or do

Code: Select all

sudo apt-get update
It can also be fixed with

Code: Select all

wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add -
Thank you! It worked like a charm. :D
Last edited by Aily on Fri Aug 04, 2017 7:14 pm, edited 1 time in total.
I know how to start my computer. (IEC 60417-5009)

MarkR61
Level 1
Level 1
Posts: 17
Joined: Wed Dec 07, 2016 10:07 pm

Re: Could not refresh the list of updates

Post by MarkR61 » Fri Aug 04, 2017 6:51 pm

JeremyB wrote:Try

Code: Select all

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 6494C6D6997C215E
I had the same problem today and this fixed it for me. Thank you very much, JeremyB!

User avatar
felemur
Level 5
Level 5
Posts: 500
Joined: Sun Sep 20, 2015 2:22 pm
Location: In the middle of 1000's of acres of corn & soy fields in a house full of cats.

Re: Could not refresh the list of updates

Post by felemur » Fri Aug 04, 2017 7:39 pm

JeremyB wrote:Try

Code: Select all

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 6494C6D6997C215E
Then refresh the list of updates or do

Code: Select all

sudo apt-get update
It can also be fixed with

Code: Select all

wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

Thanks for that, I had the same issue today, and the

Code: Select all

wget -q -O - https://dl.google.com/linux/linux_signing_key.pub | sudo apt-key add -
[/b] worked for me.

User avatar
mwbworld
Level 3
Level 3
Posts: 126
Joined: Fri Aug 19, 2016 10:55 am
Location: Boston, MA

Re: [Solved] Could not refresh the list of updates

Post by mwbworld » Sat Aug 05, 2017 8:53 am

Perfect. I was having the problem and was about to post about - but naturally looked first and found you ever awesome folks had the solution!

Thanks!
- Michael

User avatar
powerwagon75
Level 4
Level 4
Posts: 224
Joined: Sun Feb 28, 2016 4:05 pm
Location: USA

Re: [Solved] Could not refresh the list of updates

Post by powerwagon75 » Sun Aug 06, 2017 10:49 am

Thank you, Jeremy!!
Image
Custom tower w/Mint 18
HP laptop w/Mint 18
Acer w/W10/Mint 18.3
Macbook w/El Capitan/Mint 18.3
Optiplex 960 "Frankenbox" w/Fedora 30/Mint 18.3/Mint 19.1
Acer C720 Chromebook w/GalliumOS
Mac PPC G4 w/Lubuntu

User avatar
majpooper
Level 5
Level 5
Posts: 941
Joined: Thu May 09, 2013 1:56 pm
Location: North Carolina, USA

Re: [Solved] Could not refresh the list of updates

Post by majpooper » Sun Aug 06, 2017 2:58 pm

This solved my Google Chrome issue but I am still have the same problem with OpenVpn.

I am in the process of researching how to update the authentication key but so far no luck.

W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://build.openvpn.net/debian/openvpn/stable xenial Release: The following signatures were invalid: KEYEXPIRED 1501828379 KEYEXPIRED 1501828379 KEYEXPIRED 1501828379
W: Failed to fetch http://build.openvpn.net/debian/openvpn ... elease.gpg The following signatures were invalid: KEYEXPIRED 1501828379 KEYEXPIRED 1501828379 KEYEXPIRED 1501828379
W: Some index files failed to download. They have been ignored, or old ones used instead.

peterldg
Level 2
Level 2
Posts: 63
Joined: Sat Aug 10, 2013 11:30 am

Re: [Solved] Could not refresh the list of updates

Post by peterldg » Sun Aug 06, 2017 7:23 pm

I'm going to ask a very critical question about this solution.

what does the command do:

Code: Select all

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 6494C6D6997C215E
Why do I need to update the keys on this app?

Are you part of a nationally sponsored intelligence system?

JeremyB
Level 20
Level 20
Posts: 10933
Joined: Fri Feb 21, 2014 8:17 am

Re: [Solved] Could not refresh the list of updates

Post by JeremyB » Sun Aug 06, 2017 7:31 pm

Google Chrome had their key expire. It is that simple and I don't work for any intelligence agency so you can remove the tinfoil hat.

User avatar
majpooper
Level 5
Level 5
Posts: 941
Joined: Thu May 09, 2013 1:56 pm
Location: North Carolina, USA

Re: [Solved] Could not refresh the list of updates

Post by majpooper » Sun Aug 06, 2017 8:14 pm

JeremyB wrote:Google Chrome had their key expire. It is that simple and I don't work for any intelligence agency so you can remove the tinfoil hat.
It also seems as if the OpenVPN authentication key has expired - any guidance as to how to update it will be appreciated.

peterldg
Level 2
Level 2
Posts: 63
Joined: Sat Aug 10, 2013 11:30 am

Re: [Solved] Could not refresh the list of updates

Post by peterldg » Sun Aug 06, 2017 8:43 pm

Please direct us to Chrome documentation that provides the updated key and the expiration notice.

Tin Foil Suit: ON
All Systems Reporting: Nominal
System Check Complete: Success
Paranoia Level: 10.9

User avatar
phd21
Level 19
Level 19
Posts: 9301
Joined: Thu Jan 09, 2014 9:42 pm
Location: Florida

Re: [Solved] Could not refresh the list of updates

Post by phd21 » Mon Aug 07, 2017 2:10 am

Hi "majpooper", & Anyone Else getting the OpenVPN and Google Expired keys,

I.) FYI: Google Chrome Linux information link
https://www.google.com/linuxrepositories/

II.) To Update or fix the OpenVPN expired key, open a console terminal prompt, and copy and paste each line below one at a time. Info came from link below.
https://community.openvpn.net/openvpn/w ... twareRepos

Code: Select all

sudo wget -O - https://swupdate.openvpn.net/repos/repo-public.gpg|apt-key add -
OR

Code: Select all

sudo -s

Code: Select all

wget -O - https://swupdate.openvpn.net/repos/repo-public.gpg|apt-key add -

Code: Select all

exit
Then, do an update

Code: Select all

sudo apt-get update

Hope this helps ...
Phd21: Mint KDE 18.3 & 19, 64-bit Awesome OS, Ancient Dell OptiPlex 780 Core2Duo E8400 3GHz,4gb Ram,256gb SDD, Video: Intel 4 Graphics, DVD Lightscribe. Why I use KDE?:https://opensource.com/life/15/4/9-reasons-to-use-kde

User avatar
majpooper
Level 5
Level 5
Posts: 941
Joined: Thu May 09, 2013 1:56 pm
Location: North Carolina, USA

Re: [Solved] Could not refresh the list of updates

Post by majpooper » Mon Aug 07, 2017 9:43 am

THX much

I tried reinstalling OpenVPN and used the commands you show from the OpenVPN site with no joy.

However I found the solution below and it fixed it rooting around - sorry I did not bookmark or copy the URL but it was a Linix Mint site . . . . ? ? ? ? ?

sudo apt-key adv --recv-keys --keyserver keyserver.ubuntu.com `sudo apt update 2>&1 | grep -o '[0-9A-Z]\{16\}$' | xargs`

User avatar
phd21
Level 19
Level 19
Posts: 9301
Joined: Thu Jan 09, 2014 9:42 pm
Location: Florida

Re: [Solved] Could not refresh the list of updates

Post by phd21 » Mon Aug 07, 2017 10:48 am

Hi "majpooper",

You are welcome...

Those instructions I gave were for updating the "openVPN" security key to stop getting messages when updating your software sources in the Mint Update Manager or from the console terminal command line (sudo apt-get update), not for installing or updating their "openVPN" software. Your command in your last reply is not from the developers of the "openVPN" software.

After running the commands I gave before, If you still were getting messages, then run the command below to remove their expired key.

Code: Select all

sudo apt-key del E158C569
For instructions on installing a current version of "openVPN" software, or updating it, which is a great thing to do if you use VPN's, see the link below because their instructions from the web link I provided are a little cryptic.

Is it possible to install the latest openvpn on 17.3 without breaking everything[SOLVED]
viewtopic.php?f=157&t=242583&hilit=openvpn

Hope this helps ...
Phd21: Mint KDE 18.3 & 19, 64-bit Awesome OS, Ancient Dell OptiPlex 780 Core2Duo E8400 3GHz,4gb Ram,256gb SDD, Video: Intel 4 Graphics, DVD Lightscribe. Why I use KDE?:https://opensource.com/life/15/4/9-reasons-to-use-kde

Post Reply

Return to “Software & Applications”